## ros-noetic-turtlebot3-autorace-detect 1.1.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.0.2)
project(turtlebot3_autorace_detect)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
)

################################################################################
# Setup for python modules and scripts
################################################################################
catkin_python_setup()

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################
generate_dynamic_reconfigure_options(
  cfg/DetectLaneParams.cfg
  cfg/DetectLevelParams.cfg
  cfg/DetectTrafficLightParams.cfg
)

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS dynamic_reconfigure
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################
catkin_install_python(PROGRAMS
  nodes/detect_construction
  nodes/detect_construction_sign
  nodes/detect_intersection
  nodes/detect_intersection_sign
  nodes/detect_lane
  nodes/detect_level_crossing
  nodes/detect_level_crossing_sign
  nodes/detect_parking
  nodes/detect_parking_sign
  nodes/detect_traffic_light
  nodes/detect_tunnel
  nodes/detect_tunnel_sign
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY cfg image launch param
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-turtlebot3-autorace-detect (1.1.1-2focal) focal; urgency=high

  * Modified opencv packages (#6)
  * Contributors: Ashe Kim, Will Son

 -- Ashe Kim <ashekim@robotis.com>  Mon, 01 Nov 2021 15:00:00 -0000

ros-noetic-turtlebot3-autorace-detect (1.1.0-2focal) focal; urgency=high

  * Noetic package release
  * Contributors: Ashe Kim, Will Son

 -- Ashe Kim <ashekim@robotis.com>  Thu, 27 May 2021 15:00:00 -0000

ros-noetic-turtlebot3-autorace-detect (1.0.0-2focal) focal; urgency=high

  * package separation for each mission
  * updated with 2020 TurtleBot3 Autorace
  * Contributors: Ashe Kim

 -- Ashe Kim <ashekim@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-turtlebot3-autorace-detect
Section: misc
Priority: optional
Maintainer: Ashe Kim <ashekim@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure
Homepage: http://wiki.ros.org/turtlebot3_autorace
Standards-Version: 3.9.2

Package: ros-noetic-turtlebot3-autorace-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-enum34, python-numpy, python3-opencv, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: AutoRace ROS packages for feature detection with TurtleBot3 Auto
